<app-navbar></app-navbar>
<div class="container" *ngIf="FomularioY == false">
  <div class="row">
    <div class="col">
      
    </div>
    <div class="col-md-8 aligning">
      <div class="card" style="width: 100%;">
        <img class="card-img-top" src="../assets/Circle_Logo.png" alt="">
        <hr>
        <div class="card-body backgroudcolor">
          <table>
            <thead>
              <td>

              </td>
              <td>

              </td>
            </thead>
            <tbody>
              <tr>
                <td class="space">
                  <label class="label1">Nombre</label>
                </td>
                <td class="space">
                  <input type="text" name="nombre" [(ngModel)]="alumno" class="formitem form-control" placeholder="Ingresa tu nombre" required>
                </td>
              </tr>
              <tr>
                <td class="space">
                  <label class="label1">Correo</label>
                </td>
                <td class="space">
                  <input type="text" name="correo" [(ngModel)]="alumnoc" class="formitem form-control" placeholder="Ingresa tu Correo" required>
                </td>
              </tr>
            </tbody>
          </table>
          <hr width="104%" style="margin-left: -1vw;">
          <table>
            <thead>
              <tr>
                <td>

                </td>
                <td>

                </td>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <label class="label1">Área</label>
                </td>
                <td>
                  <select class="formitemselect form-control" name ="area" [(ngModel)]="area">
                    <option selected value="0">Escoja un área...</option>
                    <option value="1">Ciencias de la computación</option>
                    <option value="2">Desarrollo de software</option>
                    <option value="3">Metodología de sistemas</option>
                  </select>
                </td>
              </tr>
            </tbody>
          </table>
          <div *ngIf="area==1">
            <table>
              <thead>
                <tr>
                  <td>

                  </td>
                  <td>

                  </td>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <label class="label1">Curso</label>
                  </td>
                  <td>
                    <select class="formitemselect2 form-control" [(ngModel)]="curso">
                      <option value="0">Seleccione un curso...</option>
                      <option value="Lenguajes formales de computación">Lenguajes formales de computación</option>
                      <option value="Compiladores 1">Compiladores 1</option>
                      <option value="Organización computacional">Organización computacional</option>
                      <option value="Compiladores 2">Compiladores 2</option>
                      <option value="Arqui. 1">Arqui. 1</option>
                      <option value="Sistemas operativos 1">Sistemas operativos 1</option>
                      <option value="Arqui. 2">Arqui. 2</option>
                      <option value="Redes 1">Redes 1</option>
                      <option value="Sistemas operativos 2">Sistemas operativos 2</option>
                      <option value="Redes 2">Redes 2</option>
                      <option value="Inteligencia Artificial">Inteligencia Artificial</option>
                    </select>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div *ngIf="area==2">
            <table>
              <thead>
                <tr>
                  <td>

                  </td>
                  <td>

                  </td>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <label class="label1">Curso</label>
                  </td>
                  <td>
                    <select class="formitemselect3 form-control" [(ngModel)]="curso">
                      <option value="0">Seleccione un curso...</option>
                      <option value="Intro. a la progra. 1">Intro. a la progra. 1</option>
                      <option value="Intro. a la progra. 2">Intro. a la progra. 2</option>
                      <option value="Estructura de datos">Estructura de datos</option>
                      <option value="Archivos">Archivos</option>
                      <option value="Base de datos 1">Base de datos 1</option>
                      <option value="Base de datos 2">Base de datos 2</option>
                      <option value="Analisis y diseño de sistemas 1">Analisis y diseño de sistemas 1</option>
                      <option value="Seminario de sistemas 1">Seminario de sistemas 1</option>
                      <option value="Analisis y diseño de sistemas 2">Analisis y diseño de sistemas 2</option>
                      <option value="Seminario de sistemas 2">Seminario de sistemas 2</option>
                      <option value="Software Avanzado">Software Avanzado</option>
                    </select>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div *ngIf="area==3">
            <table>
              <thead>
                <tr>
                  <td>

                  </td>
                  <td>

                  </td>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <label class="label1">Curso</label>
                  </td>
                  <td>
                    <select class="formitemselect4 form-control" [(ngModel)]="curso">
                      <option value="0">Seleccione un curso...</option>
                      <option value="Lógica de sistemas">Lógica de sistemas</option>
                      <option value="Teoría de sistemas 1">Teoría de sistemas 1</option>
                      <option value="Economía">Economía</option>
                      <option value="Teoría de sistemas 2">Teoría de sistemas 2</option>
                      <option value="Modelación y simulación 1">Modelación y simulación 1</option>
                      <option value="Sistemas organizacionales y gerenciales 1">Sistemas organizacionales y gerenciales 1</option>
                      <option value="Modelación y simulación 2">Modelación y simulación 2</option>
                      <option value="Sistemas organizacionales y gerenciales 2">Sistemas organizacionales y gerenciales 2</option>
                    </select>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>

          <div *ngIf = "curso!=0">
            <div class="title-md-size">
                <h5>Seleccione el tipo de problema</h5>
            </div>
            <table>
              <thead>
                <tr>
                  <td>
  
                  </td>
                  <td>
  
                  </td>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <label class="label1">Problema</label>
                  </td>
                  <td>
                    <select class="formitemselect5 form-control" [(ngModel)]="type_pro" (change)="cambioEstado($event)">
                      <option selected value="0">Escoja un tipo...</option>
                      <option value="1">Problemas con un auxiliar</option>
                      <option value="2">Problemas con un ingeniero</option>
                    </select>
                  </td>
                </tr>
                
              </tbody>
            </table>
            <div class="title-md-size">
              <h5>Seleccione el ingeniero del curso</h5>
            </div>
          <table>
            <thead>
              <tr>
                <td>

                </td>
                <td>

                </td>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <label class="label1">Ingeniero</label>
                </td>
                <td>
                  <select *ngIf="type_pro == 1" class="formitemselect6 form-control" [(ngModel)]="correo" (change)="cambioEstadoI()">
                    <input class="form-control" id="myInput" type="text" placeholder="Search..">
                    <option *ngFor="let option of ingenieros.ingeniero" [value]="option.correo"><p>{{option.nombre}}</p></option>
                  </select>
                  <select *ngIf="type_pro == 2" class="formitemselect6 form-control" [(ngModel)]="ingp" (change)="cambioEstadoI()">
                    <input class="form-control" id="myInput" type="text" placeholder="Search..">
                    <option *ngFor="let option of ingenieros.ingeniero" [value]="option.nombre"><p>{{option.nombre}}</p></option>
                  </select>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="title-md-size">
            <h5>Seleccione el problema</h5>
          </div>
        <div *ngIf="type_pro!=0">
          <table>
            <thead>
              <tr>
                <td>
  
                </td>
                <td>
  
                </td>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <label class="label1">Problema</label>
                </td>
                <td>
                  <select class="formitemselect7 form-control" *ngIf="type_pro == 1" [(ngModel)]="problem" (change)="cambioEstadoP()">
                    <input class="form-control" id="myInput" type="text" placeholder="Search..">
                      <option selected value="0">Escoja un problema...</option>                  
                      <option  *ngFor="let option2 of problemas.problemaa" [value]="option2.problema"><p>{{option2.problema}}</p></option>
                  </select>
                  <select class="formitemselect8 form-control" *ngIf="type_pro == 2" [(ngModel)]="problem" (change)="cambioEstadoP()">
                    <input class="form-control" id="myInput" type="text" placeholder="Search..">                  
                      <option selected value="0">Escoja un problema...</option>                  
                      <option  *ngFor="let option3 of problemas.problemai" [value]="option3.problema"><p>{{option3.problema}}</p></option>
                  </select>
                </td>
              </tr>
              <tr>
                <td>
                  <label class="label1">Descripción</label>
                </td>
                <td *ngIf="type_pro == 1">
                  <textarea  name="problemDesciption" [(ngModel)]="problemDesciption" class="formitemtextArea form-control" placeholder="Ingresa tu problema" required></textarea>
                </td>
                <td *ngIf="type_pro == 2">
                  <textarea  name="problemDesciption" [(ngModel)]="problemDesciption" class="formitemtextArea2 form-control" placeholder="Ingresa tu problema" required></textarea>
                </td>
              </tr>
              <tr>
                <td>

                </td>
                <td>
                  <button type="button" class="btn btn-primary labelbutton" 
                  [disabled]="area==0 || curso == 0 || type_pro == 0 || bing == false || bproblem ==false" 
                  (click)="sendMail()">Enviar</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        
          </div>
        </div>
      </div>
    </div>
    <div class="col">
      
    </div>
  </div>
</div>

<div class="container" *ngIf="FomularioY == true">
  <div class="row">
    <div class="col">
      
    </div>
    <div class="col-md-8 aligning"> 
      <div class="card" style="width: 100%;">
        <img class="card-img-top" src="../assets/Circle_Logo.png" alt="">
        <hr>
        <div class="card-body backgroudcolor">
          <label class="label1">Gracias por brindarnos su retroalimentación</label>
        </div>
      </div>
    </div>
    <div class="col">
      
    </div>
  </div>
</div>

<script>
  $(document).ready(function(){
    $("#myInput").on("keyup", function() {
      var value = $(this).val().toLowerCase();
      $(".dropdown-menu li").filter(function() {
        $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
      });
    });
  });
</script>
  